IniFileTask.IniOperationConditional (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.inifile

## Class IniFileTask.IniOperationConditional

- java.lang.Object
- - net.sf.antcontrib.inifile.IniFileTask.IniOperation
  - - net.sf.antcontrib.inifile.IniFileTask.IniOperationConditional

- Direct Known Subclasses:
    IniFileTask.Remove, IniFileTask.Set
  Enclosing class:
    IniFileTask

      public abstract static class IniFileTask.IniOperationConditional
      extends IniFileTask.IniOperation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IniFileTask.IniOperationConditional()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(org.apache.tools.ant.Project project, IniFile iniFile)`
    `boolean` | `isActive(org.apache.tools.ant.Project p)` Returns true if the define's if and unless conditions (if any) are satisfied.
    `void` | `setIf(java.lang.String ifCond)`
    `void` | `setUnless(java.lang.String unlessCond)`

    - ### Methods inherited from class net.sf.antcontrib.inifile.IniFileTask.IniOperation

      `getProperty, getSection, operate, setProperty, setSection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IniFileTask.IniOperationConditional

          public IniFileTask.IniOperationConditional()

  - ### Method Detail

    - #### setIf

          public void setIf(java.lang.String ifCond)

    - #### setUnless

          public void setUnless(java.lang.String unlessCond)

    - #### isActive

          public boolean isActive(org.apache.tools.ant.Project p)

      Returns true if the define's if and unless conditions (if any) are satisfied.

    - #### execute

          public void execute(org.apache.tools.ant.Project project,
                     IniFile iniFile)

      Overrides:
        `execute` in class `IniFileTask.IniOperation`